<?php

class User extends Model {

   // ===========
   // = Statics =
   // ===========
   protected static $table_name = 'USER';

   // load all users from Db
   public static function getList() {
      $stm = parent::exec('USER_LIST');
      return $stm->fetchAll();
   }
   public static function getRow($id) {
      $stm = parent::exec('USER_GET_WITH_ID', ['id' => $id]);
      return $stm->fetchAll();
   }

   public static function updateUser($array) {
      $stm = parent::exec('USER_UPDATE', $array);
   }


}